Generation Framework

## org.eclipse.gmf.graphdef.codegen.templates
Class CustomFigureAttrGenerator

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.templates.CustomFigureAttrGenerator

public class CustomFigureAttrGenerator
extends java.lang.Object

Field Summary
`protected static java.lang.String` `nl`
`protected java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_3`

Constructor Summary
`CustomFigureAttrGenerator()`

Method Summary
`static CustomFigureAttrGenerator` `create(java.lang.String lineSeparator)`
`java.lang.String` `generate(java.lang.Object argument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nl

    protected static java.lang.String nl

### NL

    protected final java.lang.String NL

### TEXT_1

    protected final java.lang.String TEXT_1

See Also:
  Constant Field Values

### TEXT_2

    protected final java.lang.String TEXT_2

### TEXT_3

    protected final java.lang.String TEXT_3

Constructor Detail

### CustomFigureAttrGenerator

    public CustomFigureAttrGenerator()

Method Detail

### create

    public static CustomFigureAttrGenerator create(java.lang.String lineSeparator)

### generate

    public java.lang.String generate(java.lang.Object argument)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.